unit UDisks;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Buttons;

type
  TfrmDisc = class(TForm)
    edDiscA: TEdit;
    edDiscB: TEdit;
    edDiscC: TEdit;
    edDiscD: TEdit;
    btnDiskA: TSpeedButton;
    btnDiskB: TSpeedButton;
    btnDiskC: TSpeedButton;
    btnDiskD: TSpeedButton;
    btnOK: TButton;
    OpenDialog: TOpenDialog;
    btnCancel: TButton;
    procedure btnDiskClick(Sender: TObject);
    procedure btnOKClick(Sender: TObject);
    procedure btnCancelClick(Sender: TObject);
    procedure FormShow(Sender: TObject);
  private
    { Private-Deklarationen}
  public
    { Public-Deklarationen}
  end;

var
  frmDisc: TfrmDisc;

implementation uses ModLoader;

{$R *.DFM}

procedure TfrmDisc.btnDiskClick(Sender: TObject);
begin
 if opendialog.execute then
  case (sender as TSpeedButton).tag of
   0: edDiscA.text:=opendialog.filename;
   1: edDiscB.text:=opendialog.filename;
   2: edDiscC.text:=opendialog.filename;
   3: edDiscD.text:=opendialog.filename;
  end;
end;

procedure TfrmDisc.btnOKClick(Sender: TObject);
begin
 disks[0]:=edDiscA.text;
 disks[1]:=edDiscB.text;
 disks[2]:=edDiscC.text;
 disks[3]:=edDiscD.text;
 close;
end;

procedure TfrmDisc.btnCancelClick(Sender: TObject);
begin
 close;
end;

procedure TfrmDisc.FormShow(Sender: TObject);
begin
 edDiscA.text:=disks[0];
 edDiscB.text:=disks[1];
 edDiscC.text:=disks[2];
 edDiscD.text:=disks[3];
end;

end.
