unit UVideoRendererClass;

interface uses windows,uvideorconst,graphics;

type
 TVideoRendererClass = class
  protected
    pWidth,pHeight:Word;
    pBPP: Byte;
  public
    function Stop: HResult;virtual;
    function GetVideoMode: TVideoMode;virtual;

    function Draw(buffer: Pointer; rect: TRect; FrameNumber: Integer; InvertFlag: DWord): HResult;virtual;
    function UpdateFrame(rect: TRect): HResult;virtual;

    function InitDDraw(fHwnd: HWND; Width, Height: Integer): HResult;virtual;
    function IsSupported: Boolean;virtual;

    procedure ClearToBlack;virtual;
    procedure Close;virtual;
    procedure OnDesktopChange(Sender: TObject; fHwnd:HWND; cX, cY: Integer; bpp: Byte);virtual;

    function SetDesktopPlay(Desk: Boolean): HResult;virtual;
    constructor create;virtual;
    destructor destroy;override;
    property Width: Word read pWidth;
    property Height: Word read pHeight;
    property BPP: Byte read pBPP;
  end;

implementation

function TVideoRendererClass.Stop: HResult;
begin
 result:=0;
end;

function TVideoRendererClass.GetVideoMode: TVideoMode;
begin
 result:=VIDEOMODE_NONE;
end;

function TVideoRendererClass.Draw(buffer: Pointer; rect: TRect; FrameNumber: Integer; InvertFlag: DWord): HResult;
begin
 result:=0;
end;

function TVideoRendererClass.UpdateFrame(rect: TRect): HResult;
begin
 result:=0;
end;

function TVideoRendererClass.InitDDraw(fHwnd: HWND; Width, Height: Integer): HResult;
begin
 result:=0;
end;

function TVideoRendererClass.IsSupported: Boolean;
begin
 result:=true;
end;

procedure TVideoRendererClass.ClearToBlack;
begin
end;

procedure TVideoRendererClass.Close;
begin
end;

procedure TVideoRendererClass.OnDesktopChange(Sender: TObject; fHwnd:HWND; cX, cY: Integer; bpp: Byte);
begin
end;

function TVideoRendererClass.SetDesktopPlay(Desk: Boolean): HResult;
begin
 result:=V_NO_OVERLAY;
end;
constructor TVideoRendererClass.create;
begin
 pbpp:=0;pwidth:=0;pheight:=0;
end;

destructor TVideoRendererClass.destroy;
begin
end;

end.
