unit ubrkpnt;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Buttons, StdCtrls, ExtCtrls;

type
  TfrmBreakPoint = class(TForm)
    Label1: TLabel;
    edAddr: TEdit;
    SpeedButton1: TSpeedButton;
    SpeedButton2: TSpeedButton;
    SpeedButton3: TSpeedButton;
    SpeedButton4: TSpeedButton;
    SpeedButton5: TSpeedButton;
    SpeedButton6: TSpeedButton;
    SpeedButton7: TSpeedButton;
    SpeedButton8: TSpeedButton;
    bbOk: TBitBtn;
    bbCancel: TBitBtn;
    SpeedButton9: TSpeedButton;
    Bevel1: TBevel;
    procedure RSTButton(Sender: TObject);
    procedure edAddrKeyPress(Sender: TObject; var Key: Char);
  private
    { Private declarations }
  public
    { Public declarations }
    procedure SetPos(nX, nY: Integer);
  end;

var
  frmBreakPoint: TfrmBreakPoint;

implementation

{$R *.DFM}

procedure TfrmBreakPoint.RSTButton(Sender: TObject);
begin
  case TSpeedButton(Sender).Tag of
    0: edAddr.Text := '0000';
    1: edAddr.Text := '0008';
    2: edAddr.Text := '0010';
    3: edAddr.Text := '0018';
    4: edAddr.Text := '0020';
    5: edAddr.Text := '0028';
    6: edAddr.Text := '0030';
    7: edAddr.Text := '0038';
    8: edAddr.Text := '0066';
  end;
end;

procedure TfrmBreakPoint.SetPos(nX, nY: Integer);
begin
  if nX>=0 then Left := nX;
  if nY>=0 then Top := nY;
end;

procedure TfrmBreakPoint.edAddrKeyPress(Sender: TObject; var Key: Char);
begin
  if not (Key in [#8, '0'..'9', 'A'..'F', 'a'..'f']) then begin
    Key := #0;
  end;
end;

end.
